Package org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryGetChanged

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<T>
  - - org.tmatesoft.svn.core.wc2.SvnReceivingOperation<T>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation<SVNChangeEntry>
      - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryGetChanged

- All Implemented Interfaces:
    `ISvnObjectReceiver<SVNChangeEntry>`, `ISvnOperationOptionsProvider`

      public class SvnRepositoryGetChanged
      extends SvnRepositoryReceivingOperation<SVNChangeEntry>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SvnRepositoryGetChanged​(SvnOperationFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getTransactionName()` |
    `boolean` | `isIncludeCopyInfo()` |
    `void` | `setIncludeCopyInfo​(boolean includeCopyInfo)` |
    `void` | `setTransactionName​(java.lang.String transactionName)` |

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation

      `getRepositoryRoot, setRepositoryRoot`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

      `first, getReceiver, initDefaults, last, receive, run, setReceiver`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnRepositoryGetChanged

          public SvnRepositoryGetChanged​(SvnOperationFactory factory)

  - ### Method Detail

    - #### getTransactionName

          public java.lang.String getTransactionName()

    - #### setTransactionName

          public void setTransactionName​(java.lang.String transactionName)

    - #### isIncludeCopyInfo

          public boolean isIncludeCopyInfo()

    - #### setIncludeCopyInfo

          public void setIncludeCopyInfo​(boolean includeCopyInfo)